
##################################################
### read in
x = read.table('x.txt')[[1]]
y = read.table('y.txt')[[1]]
beta = read.table('b.txt')[[1]]
ndo = read.table('d.txt')[[1]]

##################################################
### call C++

tmC = system.time({
system("./tcmll")
})
cat("\n Time in C: \n")
print(tmC)

##################################################
### in R
mLL = function(x,y,beta) {
   py1 = 1/(1+exp(-(beta[1] + beta[2]*x)))
   return(-sum(ifelse(y==1,log(py1),log(1-py1))))
}

tmR = system.time({
for(i in 1:ndo) {
   temp = mLL(x,y,beta)
}
})
cat("\n Time in R \n")
print(tmR)
print(temp)



